window.Gleam.initSearch([{"doc":"dot_env","title":"dot_env","content":"# dot_env\n\n[![Package Version](https://img.shields.io/hexpm/v/dot_env)](https://hex.pm/packages/dotenv)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/dot_env/)\n\ndot_env is a port of the popular JavaScript [dotenv](https://github.com/motdotla/dotenv/blob/master/lib/main.js) package that helps you load environment variables from .env (or other) files.\n\n&gt; This package may support other formats in the future but for now, only supports the popular .env format\n\n## Quick start\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n\n## Installation\n\nIf available on Hex this package can be added to your Gleam project:\n\n```sh\ngleam add dot_env\n```\n\nand its documentation can be found at &lt;https://hexdocs.pm/dot_env&gt;.\n","url":"index.html"},{"doc":"dot_env","title":"DotEnv","content":"pub opaque type DotEnv\n\n\nSynonyms:\ndot_env.DotEnv\ndot_env DotEnv","url":"dot_env.html#DotEnv"},{"doc":"dot_env","title":"Opts","content":"pub type Opts {\n  Opts(path: String, debug: Bool, capitalize: Bool)\n  Default\n}\n\nOpts(path: String, debug: Bool, capitalize: Bool)\n Customized options for loading the .env file\npath\n&lt;p&gt;The path to the .env file relative to the project root eg. .env and src/.env are two different things, .env points to the root of the project, src/.env points to the src folder in the root of the project&lt;/p&gt;\n\ndebug\n&lt;p&gt;Print debug information if something goes wrong&lt;/p&gt;\n\ncapitalize\n&lt;p&gt;Force all keys to be uppercase&lt;/p&gt;\n\nDefault\n Default options for loading the .env file - see `default` constant\n\nSynonyms:\ndot_env.Opts\ndot_env Opts","url":"dot_env.html#Opts"},{"doc":"dot_env","title":"default","content":"pub const default: DotEnv = DotEnv(\n  path: &quot;.env&quot;,\n  debug: True,\n  capitalize: True,\n)\n\nSynonyms:\ndot_env.default\ndot_env default","url":"dot_env.html#default"},{"doc":"dot_env","title":"load","content":"pub fn load() -&gt; Nil\n\n Load the .env file at the default path (.env) and set the environment variables\n\n Debug information will be printed to the console if something goes wrong and all keys will be capitalized\n\n # Example\n\n \n import dot_env\n\n pub fn main() {\n   dot_env.load()\n }\n \nSynonyms:\ndot_env.load\ndot_env load","url":"dot_env.html#load"},{"doc":"dot_env","title":"load_with_opts","content":"pub fn load_with_opts(opts: Opts) -&gt; Nil\n\n Load the .env file at the specified path and set the environment variables\n\n Debug information and key capitalization can be customized\n\n # Example\n\n \n import dot_env\n\n pub fn main() {\n   dot_env.load_with_opts(dot_env.Opts(path: &quot;src/.env&quot;, debug: False, capitalize: False))\n }\n \nSynonyms:\ndot_env.load_with_opts\ndot_env load_with_opts","url":"dot_env.html#load_with_opts"},{"doc":"dot_env","title":"dot_env","content":"","url":"dot_env.html"}]);